Create a transaction for a consumer user round up source
POST/auth/company/consumer-users/:consumer_user_id/round-up-sources/:round_up_source_id/transactions
Create a transaction for a consumer user round up source
Request
Path Parameters
Unique ID of the consumer user in scope.
Unique ID of the round up source in scope.
- application/json
Body
required
- CompanyRoundUpTransactionInput
- MOD2
Array [
]
oneOf
Payment gateway id
Transaction amount (in the smallest currency unit, so 1000 is 10.00€)
Transaction currency
Possible values: [draft, to_be_payed, paid, refunded, disputed, failed]
Transaction status
Refunded amount (in the smallest currency unit, so 1000 is 10.00€)
Payment gateway id
Transaction amount (in the smallest currency unit, so 1000 is 10.00€)
Transaction currency
Possible values: [draft, to_be_payed, paid, refunded, disputed, failed]
Transaction status
Refunded amount (in the smallest currency unit, so 1000 is 10.00€)
Responses
- 201
- 401
- 422
- application/json
- Schema
- Example (from schema)
Schema
- Transaction
- MOD2
Array [
]
oneOf
cents id of the transaction
Payment gateway id, the payment gateway unique name identifier is put at the begining of the string (this is inserted by cents according to the logged user)
Cents id of the company
Transaction amount
Transaction amount
Transaction currency
Cents id of the charity
Cause unique name (in the namespace of the charity)
Donation amount (in the smallest currency unit, so 1000 is 10.00€)
Donation percentage if available (in integer format, so 3% is 3)
Donation currency
Transaction created date
Transaction updated date
Cents id of consumer user (if we have data of it)
Consumer user name (if we have data of it)
Consumer user email (if we have data of it)
Consumer user email anonymized flag (if email is anonymized or not)
Consumer user phone number (if we have data of it)
billable_address
object
required
Payment method id used for this transactions.
Possible values: [pre_transaction, draft, to_be_payed, paid, refunded, disputed, failed]
Transaction status
Refunded amount
External ID (generated by the company) used to reconcilate transaction with the pre_transaction
cents id of the transaction
Payment gateway id, the payment gateway unique name identifier is put at the begining of the string (this is inserted by cents according to the logged user)
Cents id of the company
Transaction amount
Transaction amount
Transaction currency
Cents id of the charity
Cause unique name (in the namespace of the charity)
Donation amount (in the smallest currency unit, so 1000 is 10.00€)
Donation percentage if available (in integer format, so 3% is 3)
Donation currency
Transaction created date
Transaction updated date
Cents id of consumer user (if we have data of it)
Consumer user name (if we have data of it)
Consumer user email (if we have data of it)
Consumer user email anonymized flag (if email is anonymized or not)
Consumer user phone number (if we have data of it)
billable_address
object
required
Payment method id used for this transactions.
Possible values: [pre_transaction, draft, to_be_payed, paid, refunded, disputed, failed]
Transaction status
Refunded amount
External ID (generated by the company) used to reconcilate transaction with the pre_transaction
{}
Unauthorized
Invalid input